Subject: bug#44953: closed (Re: bug#44953: lsof: LTlock test consistently fails (possibly due to btrfs))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jun 2022 21:24:02 +0000

Your bug report

#44953: lsof: LTlock test consistently fails (possibly due to btrfs)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44953: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44953: lsof: LTlock test consistently fails (possibly due to btrfs)
From: Maxim Cournoyer <[email-masked]>
To: raingloom <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, [email-masked]
Date: Thu, 09 Jun 2022 17:23:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello again,
>
> Mark, I've figured it out and disabled it locally.  Will push shortly to
> core-updates-frozen.

core-updates-frozen was merged into master long ago :-)

Closing.

Maxim

Subject: lsof: LTlock test consistently fails (possibly due to btrfs)
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Sun, 29 Nov 2020 16:02:47 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In the 'lsof' test suite, the 'LTlock' test consistently fails on my
system, possibly related to the fact that I use 'btrfs' for my local
filesystems.  Here's the relevant build log excerpt:

--8<---------------cut here---------------start------------->8---
Optional tests:
LTbigf ... OK
LTdnlc ... /tmp/guix-build-lsof-4.94.0.drv-0/lsof-4.94.0-checkout/tests found: 100.00%
           OK
LTlock ... lock mismatch: expected W, got " "
           lock mismatch: expected R, got " "
           lock mismatch: expected w, got " "
           lock mismatch: expected r, got " "
Failed tests: 1

make: *** [Makefile:118: opt] Error 1
command "make" "standard" "optional" failed with status 2
note: keeping build directory `/tmp/guix-build-lsof-4.94.0.drv-0'
builder for `/gnu/store/cgkl1prkfmaz7b7j37xlzyhh8nhqkdyw-lsof-4.94.0.drv' failed with exit code 1
build of /gnu/store/cgkl1prkfmaz7b7j37xlzyhh8nhqkdyw-lsof-4.94.0.drv failed
--8<---------------cut here---------------end--------------->8---

The following commit made this into a fatal build error, which I agree
is an improvement:

--8<---------------cut here---------------start------------->8---
commit 2bf502138c9c8cad945866061772fe0e1f4b7175
Author: Tobias Geerinckx-Rice <[email-masked]>
Date:   Mon Nov 23 05:05:41 2020 +0100

  gnu: lsof: Make test failures fatal.
  
  * gnu/packages/lsof.scm (lsof)[source]: Add patch to make test suite
  failures stop the build.
  * gnu/packages/patches/lsof-fatal-test-failures.patch: New file.
  * gnu/local.mk (dist_patch_DATA): Add it.
--8<---------------cut here---------------end--------------->8---

Previously, the same test failure occurred on my system with lsof-4.91,
but the failure was ignored and I didn't notice it until now.  Before
that, our lsof-4.89 package did not run the test suite, so I do not know
if it had the same bug.

     Mark